// flow-typed signature: d181137a2028c79ba221c998ebfebcc8
// flow-typed version: <<STUB>>/dayjs_v^1.7.5/flow_v0.82.0

/**
 * This is an autogenerated libdef stub for:
 *
 *   'dayjs'
 *
 * Fill this stub out by replacing all the `any` types.
 *
 * Once filled out, we encourage you to share your work with the
 * community by sending a pull request to:
 * https://github.com/flowtype/flow-typed
 */

declare module 'dayjs' {
  declare module.exports: any;
}

/**
 * We include stubs for each file inside this npm package in case you need to
 * require those files directly. Feel free to delete any files that aren't
 * needed.
 */
declare module 'dayjs/dayjs.min' {
  declare module.exports: any;
}

declare module 'dayjs/locale/ar' {
  declare module.exports: any;
}

declare module 'dayjs/locale/bg' {
  declare module.exports: any;
}

declare module 'dayjs/locale/ca' {
  declare module.exports: any;
}

declare module 'dayjs/locale/da' {
  declare module.exports: any;
}

declare module 'dayjs/locale/de' {
  declare module.exports: any;
}

declare module 'dayjs/locale/el' {
  declare module.exports: any;
}

declare module 'dayjs/locale/es-es' {
  declare module.exports: any;
}

declare module 'dayjs/locale/es' {
  declare module.exports: any;
}

declare module 'dayjs/locale/fa' {
  declare module.exports: any;
}

declare module 'dayjs/locale/fi' {
  declare module.exports: any;
}

declare module 'dayjs/locale/fr' {
  declare module.exports: any;
}

declare module 'dayjs/locale/he' {
  declare module.exports: any;
}

declare module 'dayjs/locale/hr' {
  declare module.exports: any;
}

declare module 'dayjs/locale/hu' {
  declare module.exports: any;
}

declare module 'dayjs/locale/id' {
  declare module.exports: any;
}

declare module 'dayjs/locale/it' {
  declare module.exports: any;
}

declare module 'dayjs/locale/ja' {
  declare module.exports: any;
}

declare module 'dayjs/locale/ka' {
  declare module.exports: any;
}

declare module 'dayjs/locale/ko' {
  declare module.exports: any;
}

declare module 'dayjs/locale/lt' {
  declare module.exports: any;
}

declare module 'dayjs/locale/nb' {
  declare module.exports: any;
}

declare module 'dayjs/locale/nl' {
  declare module.exports: any;
}

declare module 'dayjs/locale/nn' {
  declare module.exports: any;
}

declare module 'dayjs/locale/pl' {
  declare module.exports: any;
}

declare module 'dayjs/locale/pt-br' {
  declare module.exports: any;
}

declare module 'dayjs/locale/pt' {
  declare module.exports: any;
}

declare module 'dayjs/locale/ro' {
  declare module.exports: any;
}

declare module 'dayjs/locale/ru' {
  declare module.exports: any;
}

declare module 'dayjs/locale/sk' {
  declare module.exports: any;
}

declare module 'dayjs/locale/sr-cyrl' {
  declare module.exports: any;
}

declare module 'dayjs/locale/sr' {
  declare module.exports: any;
}

declare module 'dayjs/locale/sv' {
  declare module.exports: any;
}

declare module 'dayjs/locale/th' {
  declare module.exports: any;
}

declare module 'dayjs/locale/tr' {
  declare module.exports: any;
}

declare module 'dayjs/locale/uk' {
  declare module.exports: any;
}

declare module 'dayjs/locale/zh-cn' {
  declare module.exports: any;
}

declare module 'dayjs/locale/zh-tw' {
  declare module.exports: any;
}

declare module 'dayjs/plugin/advancedFormat' {
  declare module.exports: any;
}

declare module 'dayjs/plugin/buddhistEra' {
  declare module.exports: any;
}

declare module 'dayjs/plugin/isBetween' {
  declare module.exports: any;
}

declare module 'dayjs/plugin/isLeapYear' {
  declare module.exports: any;
}

declare module 'dayjs/plugin/isSameOrAfter' {
  declare module.exports: any;
}

declare module 'dayjs/plugin/isSameOrBefore' {
  declare module.exports: any;
}

declare module 'dayjs/plugin/relativeTime' {
  declare module.exports: any;
}

declare module 'dayjs/plugin/weekOfYear' {
  declare module.exports: any;
}

// Filename aliases
declare module 'dayjs/dayjs.min.js' {
  declare module.exports: $Exports<'dayjs/dayjs.min'>;
}
declare module 'dayjs/locale/ar.js' {
  declare module.exports: $Exports<'dayjs/locale/ar'>;
}
declare module 'dayjs/locale/bg.js' {
  declare module.exports: $Exports<'dayjs/locale/bg'>;
}
declare module 'dayjs/locale/ca.js' {
  declare module.exports: $Exports<'dayjs/locale/ca'>;
}
declare module 'dayjs/locale/da.js' {
  declare module.exports: $Exports<'dayjs/locale/da'>;
}
declare module 'dayjs/locale/de.js' {
  declare module.exports: $Exports<'dayjs/locale/de'>;
}
declare module 'dayjs/locale/el.js' {
  declare module.exports: $Exports<'dayjs/locale/el'>;
}
declare module 'dayjs/locale/es-es.js' {
  declare module.exports: $Exports<'dayjs/locale/es-es'>;
}
declare module 'dayjs/locale/es.js' {
  declare module.exports: $Exports<'dayjs/locale/es'>;
}
declare module 'dayjs/locale/fa.js' {
  declare module.exports: $Exports<'dayjs/locale/fa'>;
}
declare module 'dayjs/locale/fi.js' {
  declare module.exports: $Exports<'dayjs/locale/fi'>;
}
declare module 'dayjs/locale/fr.js' {
  declare module.exports: $Exports<'dayjs/locale/fr'>;
}
declare module 'dayjs/locale/he.js' {
  declare module.exports: $Exports<'dayjs/locale/he'>;
}
declare module 'dayjs/locale/hr.js' {
  declare module.exports: $Exports<'dayjs/locale/hr'>;
}
declare module 'dayjs/locale/hu.js' {
  declare module.exports: $Exports<'dayjs/locale/hu'>;
}
declare module 'dayjs/locale/id.js' {
  declare module.exports: $Exports<'dayjs/locale/id'>;
}
declare module 'dayjs/locale/it.js' {
  declare module.exports: $Exports<'dayjs/locale/it'>;
}
declare module 'dayjs/locale/ja.js' {
  declare module.exports: $Exports<'dayjs/locale/ja'>;
}
declare module 'dayjs/locale/ka.js' {
  declare module.exports: $Exports<'dayjs/locale/ka'>;
}
declare module 'dayjs/locale/ko.js' {
  declare module.exports: $Exports<'dayjs/locale/ko'>;
}
declare module 'dayjs/locale/lt.js' {
  declare module.exports: $Exports<'dayjs/locale/lt'>;
}
declare module 'dayjs/locale/nb.js' {
  declare module.exports: $Exports<'dayjs/locale/nb'>;
}
declare module 'dayjs/locale/nl.js' {
  declare module.exports: $Exports<'dayjs/locale/nl'>;
}
declare module 'dayjs/locale/nn.js' {
  declare module.exports: $Exports<'dayjs/locale/nn'>;
}
declare module 'dayjs/locale/pl.js' {
  declare module.exports: $Exports<'dayjs/locale/pl'>;
}
declare module 'dayjs/locale/pt-br.js' {
  declare module.exports: $Exports<'dayjs/locale/pt-br'>;
}
declare module 'dayjs/locale/pt.js' {
  declare module.exports: $Exports<'dayjs/locale/pt'>;
}
declare module 'dayjs/locale/ro.js' {
  declare module.exports: $Exports<'dayjs/locale/ro'>;
}
declare module 'dayjs/locale/ru.js' {
  declare module.exports: $Exports<'dayjs/locale/ru'>;
}
declare module 'dayjs/locale/sk.js' {
  declare module.exports: $Exports<'dayjs/locale/sk'>;
}
declare module 'dayjs/locale/sr-cyrl.js' {
  declare module.exports: $Exports<'dayjs/locale/sr-cyrl'>;
}
declare module 'dayjs/locale/sr.js' {
  declare module.exports: $Exports<'dayjs/locale/sr'>;
}
declare module 'dayjs/locale/sv.js' {
  declare module.exports: $Exports<'dayjs/locale/sv'>;
}
declare module 'dayjs/locale/th.js' {
  declare module.exports: $Exports<'dayjs/locale/th'>;
}
declare module 'dayjs/locale/tr.js' {
  declare module.exports: $Exports<'dayjs/locale/tr'>;
}
declare module 'dayjs/locale/uk.js' {
  declare module.exports: $Exports<'dayjs/locale/uk'>;
}
declare module 'dayjs/locale/zh-cn.js' {
  declare module.exports: $Exports<'dayjs/locale/zh-cn'>;
}
declare module 'dayjs/locale/zh-tw.js' {
  declare module.exports: $Exports<'dayjs/locale/zh-tw'>;
}
declare module 'dayjs/plugin/advancedFormat.js' {
  declare module.exports: $Exports<'dayjs/plugin/advancedFormat'>;
}
declare module 'dayjs/plugin/buddhistEra.js' {
  declare module.exports: $Exports<'dayjs/plugin/buddhistEra'>;
}
declare module 'dayjs/plugin/isBetween.js' {
  declare module.exports: $Exports<'dayjs/plugin/isBetween'>;
}
declare module 'dayjs/plugin/isLeapYear.js' {
  declare module.exports: $Exports<'dayjs/plugin/isLeapYear'>;
}
declare module 'dayjs/plugin/isSameOrAfter.js' {
  declare module.exports: $Exports<'dayjs/plugin/isSameOrAfter'>;
}
declare module 'dayjs/plugin/isSameOrBefore.js' {
  declare module.exports: $Exports<'dayjs/plugin/isSameOrBefore'>;
}
declare module 'dayjs/plugin/relativeTime.js' {
  declare module.exports: $Exports<'dayjs/plugin/relativeTime'>;
}
declare module 'dayjs/plugin/weekOfYear.js' {
  declare module.exports: $Exports<'dayjs/plugin/weekOfYear'>;
}
